lucene-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Torsten Krah <krah...@gmail.com>
Subject Re: Weird ClassCastException running lucene 5.2.1 on Java 1.8.
Date Wed, 24 Feb 2016 09:08:59 GMT
Hi,

you've already asked something similar in January about index corruption
and Uwe Schindler already told you to switch to a modern JVM and not
that antique one.

See: 

http://www.gossamer-threads.com/lists/lucene/java-user/296418?page=last

Quote from him:

...
This Java version is "antique". Those old version had serious bugs that
most likely caused the index corrumption (while writing and merging
data). The checksum data is correct because Lucene "thinks" that data
was written correctly. In reality, the VLong is not correct (a sign
flipped because of one of the well-known sign-flipping bugs in those
antique Java versions).

Java 7 is only safe to use after 7u55, 7u4 is now more than 4 years
old. 
...

So imho please first try to switch to that recommended version, maybe
already solved.

kind regards

Torsten


> Index information : Single segment index created using
> 
> java version "1.7.0_04"
> Java(TM) SE Runtime Environment (build 1.7.0_04-b20)
> Java HotSpot(TM) 64-Bit Server VM (build 23.0-b21, mixed mode
> 




---------------------------------------------------------------------
To unsubscribe, e-mail: java-user-unsubscribe@lucene.apache.org
For additional commands, e-mail: java-user-help@lucene.apache.org


Mime
View raw message